Subject: 23.0.95; doc-view-mode with PDF without PNG support
From: Reiner Steib <[email-masked]>
To: [email-masked]
Date: Thu, 16 Jul 2009 11:01:43 +0200

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

To reproduce:

    M-x toggle-debug-on-error RET
    M-x toggle-debug-on-quit RET
    C-x C-f some-pdf-file.pdf

I get the message:

     No PNG support available or some conversion utility for pdf files is
     missing.  Type C-c C-c to switch to fundamental-mode, C-c C-t to
     show the doc as text in a separate buffer or k to kill this buffer.

I don't have the png-DLL installed:
   (image-type-available-p 'png) -> nil
Maybe also some of the conversion programs are not installed.  But I  
just wanted to view/edit the PDF file.

Problems:

- The message is too long to be read in the echo area.

- When pressing some key (e.g. `down'), I get "image-next-line: Invalid
   image specification". So the first message disappears as soon as the
   user does a movement.

This hit me several times.  I didn't realize the message so I killed the
buffer and used `find-file-literally'.

I think the right behavior would be either...

(1) Switch to fundamental-mode automatically if doc-view-mode cannot do
     anything useful and just display a message.

(2) Instead of telling about `C-c C-c', `C-c C-t' and `k', use a
     (y-or-n-p) dialog.

In GNU Emacs 23.0.95.1 (i386-mingw-nt6.0.6001)
  of 2009-06-20 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.0.6001
configured using `configure --with-gcc (3.4)'

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: DEU
   value of $XMODIFIERS: nil
   locale-coding-system: cp1252
   default-enable-multibyte-characters: t

Major mode: Debugger

Minor modes in effect:
   show-paren-mode: t
   savehist-mode: t
   recentf-mode: t
   msb-mode: t
   iswitchb-mode: t
   desktop-save-mode: t
   tooltip-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <tool-bar> <server-start>
<help-echo> <help-echo> <down-mouse-1> <mouse-1> C-x
C-f <up> <up> <up> <up> C-g M-x t o g g <tab> d e <tab>
e <tab> <return> M-x <up> <end> <backspace> <backspace>
<backspace> <backspace> <backspace> q <tab> <return>
C-x C-f <up> <up> <up> <return> <down> M-x r e p o
r t - e m <tab> <return>

Recent messages:
Cleaning up the recentf list...done (0 removed)
No desktop file.
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Debug on Error enabled globally
Debug on Quit enabled globally
No PNG support available or some conversion utility for pdf files is  
missing.  Type C-c C-c to switch to fundamental-mode, C-c C-t to show  
the doc as text in a separate buffer  or k to kill this buffer.
Error during redisplay: (wrong-type-argument numberp nil)
Entering debugger...
Error during redisplay: (wrong-type-argument numberp nil) [4 times]

*Backtrace*:
Debugger entered--Lisp error: (error "Invalid image specification")
   image-size(nil)
   image-next-line(1)
   call-interactively(image-next-line nil nil)

Bye, Reiner